# Create specialty for the existing provider Creates a specialty for a specific provider. Each provider can have one Primary specialty, one Secondary specialty, and multiple Additional specialties. The same taxonomy cannot be used across multiple specialties for the same provider. Endpoint: POST /providers/{providerId}/info/specialties Version: 26.4.0.2931 Security: Bearer ## Path parameters: - `providerId` (string, required) ## Request fields (application/json): - `type` (string, required) Type of specialty. Can be Primary (only one allowed), Secondary (only one allowed), or Additional (multiple allowed). Enum: "Primary", "Secondary", "Additional" - `taxonomyId` (string, required) Identifier of the taxonomy associated with this specialty. Must reference a valid taxonomy. The same taxonomy cannot be used across multiple specialties for the same provider. ## Response 201 fields (application/json): - `lastUpdatedAt` (string) The date and time when the specialty was created or last modified. - `id` (string) Unique identifier associated with this specialty. - `type` (string) Type of specialty. Can be Primary (only one allowed), Secondary (only one allowed), or Additional (multiple allowed). Enum: "Primary", "Secondary", "Additional" - `taxonomyId` (string) Identifier of the taxonomy associated with this specialty. The same taxonomy cannot be used across multiple specialties for the same provider. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 409 fields ## Response 500 fields